Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.cct.types
Class Terminal

    java.lang.Object
      com.nortel.soa.oi.cct.types.Terminal

    public class Terminal

extends java.lang.Object

Java class for terminal complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="terminal">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="terminalName" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="terminalType" type="{http://www.nortel.com/soa/oi/cct/types}terminalType"/>
             <element name="provider" type="{http://www.nortel.com/soa/oi/cct/types}provider"/>
             <element name="status" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Constructor Summary
`Terminal()`
`Terminal(java.lang.String name, TerminalType type, Provider theProvider, java.lang.String theStatus)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`Provider` | `getProvider()` Gets the value of the provider property.
`java.lang.String` | `getStatus()` Gets the value of the status property.
`java.lang.String` | `getTerminalName()` Gets the value of the terminalName property.
`TerminalType` | `getTerminalType()` Gets the value of the terminalType property.
`int` | `hashCode()`
`void` | `setProvider(Provider value)` Sets the value of the provider property.
`void` | `setStatus(java.lang.String value)` Sets the value of the status property.
`void` | `setTerminalName(java.lang.String value)` Sets the value of the terminalName property.
`void` | `setTerminalType(TerminalType value)` Sets the value of the terminalType property.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Terminal

    public Terminal()

### Terminal

    public Terminal(java.lang.String name,
                    TerminalType type,
                    Provider theProvider,
                    java.lang.String theStatus)

Method Detail

### getTerminalName

    public java.lang.String getTerminalName()

  Gets the value of the terminalName property.

  Returns:
    possible object is `String`

### setTerminalName

    public void setTerminalName(java.lang.String value)

  Sets the value of the terminalName property.

  Parameters:
    `value` - allowed object is `String`

### getTerminalType

    public TerminalType getTerminalType()

  Gets the value of the terminalType property.

  Returns:
    possible object is `TerminalType`

### setTerminalType

    public void setTerminalType(TerminalType value)

  Sets the value of the terminalType property.

  Parameters:
    `value` - allowed object is `TerminalType`

### getProvider

    public Provider getProvider()

  Gets the value of the provider property.

  Returns:
    possible object is `Provider`

### setProvider

    public void setProvider(Provider value)

  Sets the value of the provider property.

  Parameters:
    `value` - allowed object is `Provider`

### getStatus

    public java.lang.String getStatus()

  Gets the value of the status property.

  Returns:
    possible object is `String`

### setStatus

    public void setStatus(java.lang.String value)

  Sets the value of the status property.

  Parameters:
    `value` - allowed object is `String`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.